# Class JoinFixActionParameter.Fixer

java.lang.Object
uk.ac.starlink.ttools.task.JoinFixActionParameter.Fixer

Enclosing class:
  `JoinFixActionParameter`

public abstract static class JoinFixActionParameter.Fixer extends Object
Helper class which defines how suffixes are turned into JoinFixActions.

Since:
  20 Nov 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Fixer(String name, String description)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract uk.ac.starlink.table.JoinFixAction`
`createAction(uk.ac.starlink.task.Environment env, uk.ac.starlink.task.StringParameter suffixParam)`
Returns a JoinFixAction corresponding to a given label.
`String`
`getDescription()`
Returns a short description of the function of this object.
`String`
`toString()`
Returns object name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Fixer

public Fixer(String name, String description)
Constructor.

Parameters:
  `name` - object name, for presentation to the user as a parameter value
  `description` - short description of the function

## Method Details

### createAction

public abstract uk.ac.starlink.table.JoinFixAction createAction(uk.ac.starlink.task.Environment env, uk.ac.starlink.task.StringParameter suffixParam) throws uk.ac.starlink.task.TaskException
Returns a JoinFixAction corresponding to a given label.

Parameters:
  `env` - execution environment
  `suffixParam` - parameter supplying suffix value (got from a `createSuffixParameter` method)
Throws:
  `uk.ac.starlink.task.TaskException`

### getDescription

public String getDescription()
Returns a short description of the function of this object.

Returns:
  description

### toString

public String toString()
Returns object name.

Overrides:
  `toString` in class `Object`